## com.fusioncharts.sampledata
Class EmptyRenderData

    java.lang.Object
      com.fusioncharts.sampledata.EmptyRenderData

    public class EmptyRenderData

extends java.lang.Object

Bean containing sample chart data. Default values for all the fields have been set. These can be changed using the set methods. This class has been used as a backing bean in JSF examples.

Author:
  Infosoft Global (P) Ltd.

Field Summary
`protected java.lang.String` `chartId`
`protected java.lang.String` `filename`
`protected java.lang.String` `height`
`protected java.lang.String` `noDataParameter`
`protected java.lang.String` `uniqueId`
`protected java.lang.String` `url`
`protected java.lang.String` `width`
`protected java.lang.String` `xml`

Constructor Summary
`EmptyRenderData()`

Method Summary
`java.lang.String` `getChartId()`
`java.lang.String` `getFilename()`
`java.lang.String` `getHeight()`
`java.lang.String` `getNoDataParameter()`
`java.lang.String` `getUniqueId()`
`java.lang.String` `getUrl()`
`java.lang.String` `getWidth()`
`java.lang.String` `getXml()`
`void` `setChartId(java.lang.String chartId)`
`void` `setFilename(java.lang.String filename)`
`void` `setHeight(java.lang.String height)`
`void` `setNoDataParameter(java.lang.String noDataParameter)`
`void` `setUniqueId(java.lang.String uniqueId)`
`void` `setUrl(java.lang.String url)`
`void` `setWidth(java.lang.String width)`
`void` `setXml(java.lang.String xml)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### xml

    protected java.lang.String xml

### chartId

    protected java.lang.String chartId

### url

    protected java.lang.String url

### width

    protected java.lang.String width

### height

    protected java.lang.String height

### filename

    protected java.lang.String filename

### noDataParameter

    protected java.lang.String noDataParameter

### uniqueId

    protected java.lang.String uniqueId

Constructor Detail

### EmptyRenderData

    public EmptyRenderData()

Method Detail

### getChartId

    public java.lang.String getChartId()

### getFilename

    public java.lang.String getFilename()

### getHeight

    public java.lang.String getHeight()

### getNoDataParameter

    public java.lang.String getNoDataParameter()

  Returns:
    the noDataParameter

### getUniqueId

    public java.lang.String getUniqueId()

  Returns:
    the uniqueId

### getUrl

    public java.lang.String getUrl()

### getWidth

    public java.lang.String getWidth()

### getXml

    public java.lang.String getXml()

### setChartId

    public void setChartId(java.lang.String chartId)

### setFilename

    public void setFilename(java.lang.String filename)

### setHeight

    public void setHeight(java.lang.String height)

### setNoDataParameter

    public void setNoDataParameter(java.lang.String noDataParameter)

  Parameters:
    `noDataParameter` - the noDataParameter to set

### setUniqueId

    public void setUniqueId(java.lang.String uniqueId)

  Parameters:
    `uniqueId` - the uniqueId to set

### setUrl

    public void setUrl(java.lang.String url)

### setWidth

    public void setWidth(java.lang.String width)

### setXml

    public void setXml(java.lang.String xml)